package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BasePreventRust;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 九防台账-防锈蚀
* @author wuhonghao
* @date 2021/11/12
*/
@Mapper
@Repository
public interface BasePreventRustMapper {

    /**
    * 新增
    */
    int insert(BasePreventRust basePreventRust);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BasePreventRust basePreventRust);

    /**
    * 获取单个
    */
    BasePreventRust getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BasePreventRust> getList(BasePreventRust basePreventRust);

}
